"use strict";
Object.defineProperty(exports, "patchVercelProject", {
    enumerable: true,
    get: function() {
        return patchVercelProject;
    }
});
const _devkit = require("@nrwl/devkit");
function _extends() {
    _extends = Object.assign || function(target) {
        for(var i = 1; i < arguments.length; i++){
            var source = arguments[i];
            for(var key in source){
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key];
                }
            }
        }
        return target;
    };
    return _extends.apply(this, arguments);
}
const path = require("path");
function patchVercelProject(projectPath, overrides) {
    const vercelProjectFile = path.resolve(projectPath, '.vercel/project.json');
    const currentVercelProject = (0, _devkit.readJsonFile)(vercelProjectFile);
    const patchedVercelProject = _extends({}, currentVercelProject, {
        settings: _extends({}, currentVercelProject.settings, overrides)
    });
    (0, _devkit.writeJsonFile)(vercelProjectFile, patchedVercelProject);
    _devkit.logger.debug('Patched Vercel project');
}

//# sourceMappingURL=patchVercelProject.js.map